<template>
  <v-card-title>{{ topic.selected.title }}</v-card-title>
  <v-card-subtitle>{{ topic.selected.level }}</v-card-subtitle>
  <v-card-text>

    <MultipleChoice v-if="topic.selected.type == 'Multiple Choice'" />
    <TextArea v-else-if="topic.selected.type == 'Text Area'" />
  </v-card-text>
  
</template>

<script setup>
import MultipleChoice from '@/components/Questions/MultipleChoice.vue'
import TextArea from '@/components/Questions/TextArea.vue'
import { useTopicStore } from "@/store/topics";

const topic = useTopicStore();

</script>
